Public Class FuelingException
    Inherits System.Exception

    Private mCurrentFuelLevel As Byte
    Private mNewFuelLevel As Byte

    Public Sub New(ByVal message As String, ByVal currentFuelLevel As Byte, _
    ByVal newFuelLevel As Byte)
        MyBase.New(message)
        Me.mCurrentFuelLevel = currentFuelLevel
        Me.mNewFuelLevel = newFuelLevel
    End Sub

    Public ReadOnly Property CurrentFuelLevel() As Byte
        Get
            Return mCurrentFuelLevel
        End Get
    End Property

    Public ReadOnly Property NewFuelLevel() As Byte
        Get
            Return mNewFuelLevel
        End Get
    End Property
End Class
